## net.sf.antcontrib.logic
Class TryCatchTask.CatchBlock

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Sequential
                  net.sf.antcontrib.logic.TryCatchTask.CatchBlock

All Implemented Interfaces:
  org.apache.tools.ant.TaskContainer

Enclosing class:
  TryCatchTask

    public static final class TryCatchTask.CatchBlock

extends org.apache.tools.ant.taskdefs.Sequential

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TryCatchTask.CatchBlock()`

Method Summary
`boolean` `execute(java.lang.Throwable t)`
`void` `setThrowable(java.lang.String throwable)`

Methods inherited from class org.apache.tools.ant.taskdefs.Sequential
`addTask, execute`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TryCatchTask.CatchBlock

    public TryCatchTask.CatchBlock()

Method Detail

### setThrowable

    public void setThrowable(java.lang.String throwable)

### execute

    public boolean execute(java.lang.Throwable t)
                    throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`